Bug 20805 - Update child to adult patron process broken on several patron-related pages
Summary: Update child to adult patron process broken on several patron-related pages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 19641
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-23 12:13 UTC by Owen Leonard
Modified: 2019-10-14 19:55 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20805: Update child to adult patron process broken on several patron-related pages (11.52 KB, patch)
2018-05-23 12:54 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20805: Update child to adult patron process broken on several patron-related pages (11.58 KB, patch)
2018-07-08 16:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 20805: Update child to adult patron process broken on several patron-related pages (11.68 KB, patch)
2018-07-13 08:32 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-05-23 12:13:49 UTC
Because of code missing from templates and Perl scripts, the "Update child to adult patron" process is not working correctly on several pages:

Broken altogether:

 - Batch check out

If multiple adult patron categories are configured, the "update child" process should trigger a pop-up where the user can choose a category. On these pages the pop-up isn't being triggered, and the process results in an error.

 - Notices
 - Statistics
 - Files
 - Housebound
Comment 1 Owen Leonard 2018-05-23 12:31:31 UTC
The latter issue is also present with the patron deletion confirmation page (deletemem.pl).
Comment 2 Owen Leonard 2018-05-23 12:54:14 UTC
Created attachment 75487 [details] [review]
Bug 20805: Update child to adult patron process broken on several patron-related pages

This patch fixes a problem with several patron-related pages, where the
"Update child to adult patron" menu item doesn't work. With some pages,
the right category information wasn't being passed from the script to
the template. With some, the right JavaScript variable weren't being
passed from the template to the included JavaScript file.

To test, apply the patch locate some patrons with "child" type patron
categories. With each patron, go to one of the following pages and test
the "update child" process in the toolbar's "More" menu.

 - Circulation ->
   - Batch check out
   - Notices
   - Statistics
   - Files
   - Housebound
   - Delete (test from the deletion confirmation screen).

All test should be performed on a system with multiple adult patron
categories configured AND on a system with only a single adult patron
category.
Comment 3 Katrin Fischer 2018-07-08 16:45:48 UTC
Created attachment 76772 [details] [review]
Bug 20805: Update child to adult patron process broken on several patron-related pages

This patch fixes a problem with several patron-related pages, where the
"Update child to adult patron" menu item doesn't work. With some pages,
the right category information wasn't being passed from the script to
the template. With some, the right JavaScript variable weren't being
passed from the template to the included JavaScript file.

To test, apply the patch locate some patrons with "child" type patron
categories. With each patron, go to one of the following pages and test
the "update child" process in the toolbar's "More" menu.

 - Circulation ->
   - Batch check out
   - Notices
   - Statistics
   - Files
   - Housebound
   - Delete (test from the deletion confirmation screen).

All test should be performed on a system with multiple adult patron
categories configured AND on a system with only a single adult patron
category.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Marcel de Rooy 2018-07-13 08:32:43 UTC
Created attachment 76936 [details] [review]
Bug 20805: Update child to adult patron process broken on several patron-related pages

This patch fixes a problem with several patron-related pages, where the
"Update child to adult patron" menu item doesn't work. With some pages,
the right category information wasn't being passed from the script to
the template. With some, the right JavaScript variable weren't being
passed from the template to the included JavaScript file.

To test, apply the patch locate some patrons with "child" type patron
categories. With each patron, go to one of the following pages and test
the "update child" process in the toolbar's "More" menu.

 - Circulation ->
   - Batch check out
   - Notices
   - Statistics
   - Files
   - Housebound
   - Delete (test from the deletion confirmation screen).

All test should be performed on a system with multiple adult patron
categories configured AND on a system with only a single adult patron
category.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Nick Clemens 2018-07-13 13:48:51 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-07-15 20:34:39 UTC
Pushed to 18.05.x for 18.05.02
Comment 7 Jonathan Druart 2018-07-17 19:00:39 UTC
Reading the diff it seems that the Asset.js and the <script> are inverted, Asset.js must be after (in members/deletemem.tt)
Comment 8 Fridolin SOMERS 2018-07-30 14:00:23 UTC
Depends on Bug 19641 that added members-menu.js
Comment 9 Fridolin SOMERS 2018-07-30 14:01:25 UTC
Depends on Bug 19641 not in 17.11.x